

/* frame.c */
Color24 color24_ave (Frame24 *fb, int row, int col, int size);
int init_frame (void);
Frame24 *make_frame24 (int height, int width);
Frame16 *make_frame16 (int height, int width);
Frame8 *make_frame8 (int height, int width);
Frame1 *make_frame1 (int height, int width);
void fill_frame8 (Frame8 *fb, int val);
void fill_frame1 (Frame1 *fb, int val);
void draw_box_in_frame8 (Frame8 *tb, int val, int srow, int scol, int erow, int ecol);
void draw_box_in_frame1 (Frame1 *tb, int val, int srow, int scol, int erow, int ecol);
void draw_ept_in_frame1 (Frame1 *tb, int val, Epts *ept);
void draw_frame8 (Frame8 *fb, int thresh, int mult);
void draw_frame1 (Frame1 *fb);
void plot_frame24 (Frame24 *fb, char *c);
void plot_frame8 (Frame8 *fb, char *c);
void plot_frame1 (Frame1 *fb, char *c);
int tpu_to_frame_pos (int trow, int tcol, int *frow, int *fcol);
int frame_to_tpu_pos (int frow, int fcol, int *trow, int *tcol);
void set_frame_cross (int frow, int fcol);
int digitize_frame24 (Frame24 *fb);
int digitize_frame8 (Frame8 *fb);
void puthexbyte (byte b, FILE *s);

