

/* frameproc.c */
void brightness_thresh_frame24 (Frame24 *fb, Frame1 *res, int thresh);
void add_frame_region_to_lut (int ch, Frame24 *fb, Frame1 *mb, int boxsize);
int threshold_frame24_with_lut (int ch, Frame24 *fb, Frame1 *res);
int mask_frame24 (Frame24 *fb, Frame1 *mb);
int convolve_point24 (Frame24 *fb, Color24 *res, int row, int col, int conv[3 ][3 ]);
int convolve_frame24 (Frame24 *fb, Frame24 *res, int conv[3 ][3 ]);
int convolve_frame_threshold24 (Frame24 *fb, Frame1 *res, int conv[3 ][3 ], int thresh);
int edge_detect24 (Frame24 *fb, Frame24 *res);
int edge_detect_threshold24 (Frame24 *fb, Frame1 *res, int thresh);
int diff_detect24 (Frame24 *fb, Color24 c, int diffthresh, Frame1 *res);
int find_left_edge (Frame1 *tb, int row, int col);
int find_bounds_above (Frame1 *tb, int row, int col, int *lb, int *rb);
int find_bounds_below (Frame1 *tb, int row, int col, int *lb, int *rb);
int find_bounds_on_line (Frame1 *tb, int row, int col, int target_row, int *lb, int *rb);
int find_right_edge (Frame1 *tb, int row, int col);
int find_top_edge (Frame1 *tb, int row, int col);
int find_bottom_edge (Frame1 *tb, int row, int col);
int find_object_bounds (Frame1 *tb, Frame1 *res, int row, int col);
void lut_swap_blue_2 (int ch1, int ch2);
void lut_swap_red_2 (int ch1, int ch2);
void lut_swap_2 (int ch1, int ch2);

