

/* protocol.c */
int init_protocol (void);
void save_protocol_string (char *protocolstr);
int restore_protocol_string (char *protocolstr);
int preprocess_protocol_string (char *protocolstr, char *fmtstr, char *argstr);
void upload_protocol_data (FILE *f, Edge_buffer *eb, Blob *b, char *fmtstr, char *argstr);
char *protocol_string_copy (char *src);
int protocol_merge_strings (char *out, char **in, int n);
int protocol_split_strings (char *in, char **out, int max);
void protocol_set_protocol (Vstate *vs, char *fmt, char *args, int lev);
void protocol_process_protocol (char **strings);
void run_protocol_vision (void);
int biggest_n_protocol_channel (Vstate *vs, Edge_buffer *eb);
int biggest3_protocol_frame_done (Vstate *vs, Edge_buffer *eb);
int protocol_modify_string (void);
int protocol_set_sizes (void);
int protocol_save (int interactive);
int protocol_restore (int interactive);

