

/* visdraw.c */
int init_visdraw (void);
void start_drawing (void);
void stop_drawing (void);
void reset_draw_frame (void);
void reset_draw_tpu (void);
void reset_draw_lut (void);
void draw_lut_line (int fromrow, int fromcol, int torow, int tocol);
void draw_tpu_line (int fromrow, int fromcol, int torow, int tocol);
void draw_frame_line (int fromrow, int fromcol, int torow, int tocol);
void draw_tpu_line_pt_slope (int row, int col, int angle, int len);
void tek_draw_line_pt_slope (int x, int y, int angle, int len);
int tpu_draw_ept (Epts *ept);
int lut_draw_ept (Epts *ept);
int tpu_outline_ept (Epts *ept);
int lut_outline_ept (Epts *ept);
void mark_frame_point (int row, int col, int size);
void mark_tpu_point (int row, int col, int size);
void mark_lut_point (int row, int col, int size);
int log2 (int val);
void tpu_outline_epts (Epts *eptarr, int eptcount);
void draw_line (int fromrow, int fromcol, int torow, int tocol, int s);
void mark_point (int row, int col, int mult);

