/***************************************************************************
	This source code is part of the Cognachrome 2000 vision system.
	Copyright 1994, Anne Wright, anarch@mit.edu,
	                Randy Sargent, rsargent@mit.edu
	This copy is not to be distributed in any form
	and is to be used only with express permission of the author.
****************************************************************************/

#ifndef _intvision_
#define _intvision_

extern Vstate vis_a,vis_b,vis_c;
extern int one_frame_only;

#define frame_empty(vs)    ((vs)->raw[(vs)->frame].status==eb_done)
#define frame_done(vs)    ((vs)->raw[(vs)->frame].status==eb_finished_grabbing)
#define raw_start(vs)     ((vs)->raw[(vs)->frame].start)
#define raw_ptr(vs)       ((vs)->raw[(vs)->frame].ptr)
#define frame_time(vs)    ((vs)->raw[(vs)->frame].frame_mtime)
#define frames_missed(vs)    ((vs)->raw[(vs)->frame].frames_missed)
#define frame_eb(vs)      (&((vs)->raw[(vs)->frame]))

#include "intvision.pro"

#endif
